/*  
 * Copyright (c) 2005 Vitali E. Pelenyov
 * 
 * Permission is hereby granted, free of charge, to any person obtaining
 * a copy of this software and associated documentation files
 * (the "Software"), to deal in the Software without restriction,
 * including without limitation the rights to use, copy, modify, merge,
 * publish, distribute, sublicense, and/or sell copies of the Software,
 * and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 * IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
 * CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
 * TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH
 * THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE. 
 */

#ifndef __DAV_PRIVATE__H
#define __DAV_PRIVATE__H

#define NDPL_LARGEFILES
#include <ndextpl2.h>

#include <string.h>
#include <stdlib.h>
#include <ctype.h>

extern PLUGINHELPERTABLE2 *ph;

#define dav_strchr ph->fsphStrChr
#define dav_strrchr ph->fsphStrRChr
#define dav_snprintf ph->fsph_snprintf
#define dav_CpTranslateString ph->fsphCpTranslateString
#define dav_QueryCurrentCp ph->fsphQueryCurrentCp
#define dav_GetChar ph->fsphGetChar
#define dav_NextChar ph->fsphNextChar
#define dav_AllocMem ph->fsphAllocMem
#define dav_ReallocMem ph->fsphReallocMem
#define dav_FreeMem ph->fsphFreeMem

#include "dav.h"

#endif /* __DAV_PRIVATE__H */