/*  
 * Copyright (c) 2005 Blueprint Software Works
 *                    http://www.blueprintsoftwareworks.com
 * Copyright (c) 2005 Vitali E. Pelenyov
 * 
 * Permission is hereby granted, free of charge, to any person obtaining
 * a copy of this software and associated documentation files
 * (the "Software"), to deal in the Software without restriction,
 * including without limitation the rights to use, copy, modify, merge,
 * publish, distribute, sublicense, and/or sell copies of the Software,
 * and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 * IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
 * CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
 * TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH
 * THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE. 
 */

#ifndef __DEBUG__H
#define __DEBUG__H

#define INCL_LONGLONG
#define NDPL_LARGEFILES
#include <ndextpl2.h>

#if defined(__IBMC__) || defined(__IBMCPP__)
#define VA_PTR(a) ((char **)a)
#elif defined(__WATCOMC__)
#define VA_PTR(a) ((char **)a[0])
#endif

extern PLUGINHELPERTABLE2 *ph;

extern int fEnableLog;

#define LOG(a) \
    for (;fEnableLog;) { \
        log_printf a ; \
        break; \
    }

#include <stdarg.h>

inline void log_printf (int ll, char *fmt, ...)
{
    va_list args;

    NDLOGHANDLE loghandle;

    va_start (args, fmt);

    ph->fsphLogOpen (&loghandle, ND_LL_DEBUG, LOG_FILE_NAME, NULL);

    ph->fsphLogMsg2 (loghandle, ll, fmt, 0, VA_PTR(args));
    
    ph->fsphLogClose (loghandle);
    
    va_end (args);
}

#endif /* __DEBUG__H */
