/* 
   HTTP/1.1 methods
   Copyright (C) 1999-2005, Joe Orton <joe@manyfish.co.uk>
   Copyright (C) 2005, Vitali E. Pelenyov

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
   MA 02111-1307, USA

*/

#ifndef NE_ND_H
#define NE_ND_H

#include "config.h"

#include <ne_request.h>

BEGIN_NEON_DECLS

typedef struct {
    off64_t start, end, total;
} ne_content_range64;

/* Partial GET and PUT to and from a memory buffer. */
int ne_get_range_to_buffer(ne_session *sess, const char *uri, 
                           void *pbuffer, ne_content_range64 *range,
                           unsigned long *pactual);
                           
int ne_put_range_from_buffer(ne_session *sess, const char *uri, 
                             void *pbuffer, ne_content_range64 *range);

END_NEON_DECLS

#endif /* NE_ND_H */
